Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Trace

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.PrintWriter
                  |
                  +--org.hsqldb.Trace

class Trace
extends PrintWriter

Field Summary
`(package private) final static int` | `ACCESS_IS_DENIED`
`final static boolean` | `ASSERT`
`(package private) final static int` | `ASSERT_FAILED`
`(package private) final static int` | `COLUMN_ALREADY_EXISTS`
`(package private) final static int` | `COLUMN_COUNT_DOES_NOT_MATCH`
`(package private) final static int` | `COLUMN_NOT_FOUND`
`(package private) final static int` | `CONNECTION_IS_BROKEN`
`(package private) final static int` | `CONNECTION_IS_CLOSED`
`(package private) final static int` | `DATABASE_ALREADY_IN_USE`
`(package private) final static int` | `DATABASE_IS_READONLY`
`(package private) final static int` | `DATABASE_IS_SHUTDOWN`
`(package private) final static int` | `DIVISION_BY_ZERO`
`(package private) final static int` | `DROP_PRIMARY_KEY`
`(package private) final static int` | `ERROR_IN_FUNCTION`
`(package private) final static int` | `EXTERNAL_STOP`
`(package private) final static int` | `FILE_IO_ERROR`
`(package private) final static int` | `FUNCTION_NOT_SUPPORTED`
`(package private) final static int` | `GENERAL_ERROR`
`(package private) final static int` | `INDEX_ALREADY_EXISTS`
`(package private) final static int` | `INDEX_NOT_FOUND`
`(package private) final static int` | `INPUTSTREAM_ERROR`
`(package private) final static int` | `INTEGRITY_CONSTRAINT_VIOLATION`
`(package private) final static int` | `INVALID_ESCAPE`
`(package private) final static int` | `NEED_AGGREGATE`
`(package private) final static int` | `NO_DATA_IS_AVAILABLE`
`(package private) final static int` | `SECOND_PRIMARY_KEY`
`(package private) final static int` | `SERIALIZATION_FAILURE`
`(package private) final static int` | `SINGLE_VALUE_EXPECTED`
`final static boolean` | `STOP`
`(package private) final static int` | `SUM_OF_NON_NUMERIC`
`(package private) final static int` | `TABLE_ALREADY_EXISTS`
`(package private) final static int` | `TABLE_NOT_FOUND`
`final static boolean` | `TRACE`
`(package private) final static int` | `TRANSFER_CORRUPTED`
`(package private) final static int` | `TRIGGER_NOT_FOUND`
`(package private) final static int` | `TRY_TO_INSERT_NULL`
`(package private) final static int` | `UNEXPECTED_END_OF_COMMAND`
`(package private) final static int` | `UNEXPECTED_TOKEN`
`(package private) final static int` | `UNKNOWN_FUNCTION`
`(package private) final static int` | `USER_ALREADY_EXISTS`
`(package private) final static int` | `USER_NOT_FOUND`
`(package private) final static int` | `VIOLATION_OF_UNIQUE_INDEX`
`(package private) final static int` | `WRONG_DATA_TYPE`
`(package private) final static int` | `WRONG_DATABASE_FILE_VERSION`
`(package private) final static int` | `WRONG_OUT_PARAMETER`

Constructor Summary
`(package private)` | `Trace()`

Method Summary
`(package private) static void` | `assert(boolean )`
`(package private) static void` | `assert(boolean , java.lang.String )`
`(package private) static void` | `check(boolean , int )`
`(package private) static void` | `check(boolean , int , java.lang.String )`
`(package private) static java.sql.SQLException` | `error(int )`
`(package private) static java.sql.SQLException` | `error(int , java.lang.String )`
`(package private) static java.sql.SQLException` | `error(int , int )`
`(package private) static java.sql.SQLException` | `getError(int , java.lang.String )`
`(package private) static java.sql.SQLException` | `getError(java.lang.String )`
`(package private) static java.lang.String` | `getMessage(int )`
`(package private) static java.lang.String` | `getMessage(java.sql.SQLException )`
`void` | `println(char[] )`
`(package private) static void` | `stop()`
`(package private) static void` | `stop(java.lang.String )`
`(package private) static void` | `trace(long )`
`(package private) static void` | `trace(int )`
`(package private) static void` | `trace()`
`(package private) static void` | `trace(java.lang.String )`

Methods inherited from class java.io.PrintWriter
`flush, close, checkError, write, write, write, write, write, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ACCESS_IS_DENIED

    final static int ACCESS_IS_DENIED

### ASSERT

    public final static boolean ASSERT

### ASSERT_FAILED

    final static int ASSERT_FAILED

### COLUMN_ALREADY_EXISTS

    final static int COLUMN_ALREADY_EXISTS

### COLUMN_COUNT_DOES_NOT_MATCH

    final static int COLUMN_COUNT_DOES_NOT_MATCH

### COLUMN_NOT_FOUND

    final static int COLUMN_NOT_FOUND

### CONNECTION_IS_BROKEN

    final static int CONNECTION_IS_BROKEN

### CONNECTION_IS_CLOSED

    final static int CONNECTION_IS_CLOSED

### DATABASE_ALREADY_IN_USE

    final static int DATABASE_ALREADY_IN_USE

### DATABASE_IS_READONLY

    final static int DATABASE_IS_READONLY

### DATABASE_IS_SHUTDOWN

    final static int DATABASE_IS_SHUTDOWN

### DIVISION_BY_ZERO

    final static int DIVISION_BY_ZERO

### DROP_PRIMARY_KEY

    final static int DROP_PRIMARY_KEY

### ERROR_IN_FUNCTION

    final static int ERROR_IN_FUNCTION

### EXTERNAL_STOP

    final static int EXTERNAL_STOP

### FILE_IO_ERROR

    final static int FILE_IO_ERROR

### FUNCTION_NOT_SUPPORTED

    final static int FUNCTION_NOT_SUPPORTED

### GENERAL_ERROR

    final static int GENERAL_ERROR

### INDEX_ALREADY_EXISTS

    final static int INDEX_ALREADY_EXISTS

### INDEX_NOT_FOUND

    final static int INDEX_NOT_FOUND

### INPUTSTREAM_ERROR

    final static int INPUTSTREAM_ERROR

### INTEGRITY_CONSTRAINT_VIOLATION

    final static int INTEGRITY_CONSTRAINT_VIOLATION

### INVALID_ESCAPE

    final static int INVALID_ESCAPE

### NEED_AGGREGATE

    final static int NEED_AGGREGATE

### NO_DATA_IS_AVAILABLE

    final static int NO_DATA_IS_AVAILABLE

### SECOND_PRIMARY_KEY

    final static int SECOND_PRIMARY_KEY

### SERIALIZATION_FAILURE

    final static int SERIALIZATION_FAILURE

### SINGLE_VALUE_EXPECTED

    final static int SINGLE_VALUE_EXPECTED

### STOP

    public final static boolean STOP

### SUM_OF_NON_NUMERIC

    final static int SUM_OF_NON_NUMERIC

### TABLE_ALREADY_EXISTS

    final static int TABLE_ALREADY_EXISTS

### TABLE_NOT_FOUND

    final static int TABLE_NOT_FOUND

### TRACE

    public final static boolean TRACE

### TRANSFER_CORRUPTED

    final static int TRANSFER_CORRUPTED

### TRIGGER_NOT_FOUND

    final static int TRIGGER_NOT_FOUND

### TRY_TO_INSERT_NULL

    final static int TRY_TO_INSERT_NULL

### UNEXPECTED_END_OF_COMMAND

    final static int UNEXPECTED_END_OF_COMMAND

### UNEXPECTED_TOKEN

    final static int UNEXPECTED_TOKEN

### UNKNOWN_FUNCTION

    final static int UNKNOWN_FUNCTION

### USER_ALREADY_EXISTS

    final static int USER_ALREADY_EXISTS

### USER_NOT_FOUND

    final static int USER_NOT_FOUND

### VIOLATION_OF_UNIQUE_INDEX

    final static int VIOLATION_OF_UNIQUE_INDEX

### WRONG_DATA_TYPE

    final static int WRONG_DATA_TYPE

### WRONG_DATABASE_FILE_VERSION

    final static int WRONG_DATABASE_FILE_VERSION

### WRONG_OUT_PARAMETER

    final static int WRONG_OUT_PARAMETER

Constructor Detail

### Trace

    Trace()

Method Detail

### assert

    static void assert(boolean )

### assert

    static void assert(boolean , java.lang.String )

### check

    static void check(boolean , int )

### check

    static void check(boolean , int , java.lang.String )

### error

    static java.sql.SQLException error(int )

### error

    static java.sql.SQLException error(int , java.lang.String )

### error

    static java.sql.SQLException error(int , int )

### getError

    static java.sql.SQLException getError(int , java.lang.String )

### getError

    static java.sql.SQLException getError(java.lang.String )

### getMessage

    static java.lang.String getMessage(int )

### getMessage

    static java.lang.String getMessage(java.sql.SQLException )

### println

    public void println(char[] )

### stop

    static void stop()

### stop

    static void stop(java.lang.String )

### trace

    static void trace(long )

### trace

    static void trace(int )

### trace

    static void trace()

### trace

    static void trace(java.lang.String )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD